Our LibreOffice/OpenOffice.org add-on currently doesn't support the premium version of LanguageTool.